Subject: Re: bug#53232: 29.0.50; pgtk startup: flashes white background before painting black

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 14 Jan 2022 08:52:45 +0100

John Yates <[email-masked]> writes:

> emacs -Q --eval '(set-background-color "#000000")'

You get the same in a non-pgtk built, too -- and I think that's to be
expected?  Emacs first pops up the frame and then starts doing the
--eval stuff, I think.

If you want to set the background colour in this manner, putting it in
the early init file should do the trick, if I remember correctly.

So I think everything here works as designed?  Anybody have any comments
here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no